<!-- HTML header for doxygen 1.8.9.1
Converted manually by Andy Dent to be HTML 5 instead of XHTML
-->
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"
        "http://www.w3.org/TR/1999/REC-html401-19991224/loose.dtd">
<html lang="en">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8" />
<meta http-equiv="X-UA-Compatible" content="IE=9" />
<meta name="generator" content="Doxygen 1.8.12" />
<link rel="icon" href="https://realm.io/img/favicon.ico" />
<link rel="apple-touch-icon-precomposed" sizes="57x57" href="https://realm.io/img/favicon-57x57.png" />
<link rel="apple-touch-icon-precomposed" sizes="114x114" href="https://realm.io/img/favicon-114x114.png" />
<link rel="apple-touch-icon-precomposed" sizes="72x72" href="https://realm.io/img/favicon-72x72.png" />
<link rel="apple-touch-icon-precomposed" sizes="144x144" href="https://realm.io/img/favicon-144x144.png" />
<link rel="apple-touch-icon-precomposed" sizes="120x120" href="https://realm.io/img/favicon-120x120.png" />
<link rel="apple-touch-icon-precomposed" sizes="152x152" href="https://realm.io/img/favicon-152x152.png" />
<link rel="icon" type="image/png" href="https://realm.io/img/favicon-32x32.png" sizes="32x32" />
<link rel="icon" type="image/png" href="https://realm.io/img/favicon-16x16.png" sizes="16x16" />
<title>Realm Xamarin: RealmObject Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css" />
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<script type="text/javascript">
  (function(i,s,o,g,r,a,m){i['GoogleAnalyticsObject']=r;i[r]=i[r]||function(){
  (i[r].q=i[r].q||[]).push(arguments)},i[r].l=1*new Date();a=s.createElement(o),
  m=s.getElementsByTagName(o)[0];a.async=1;a.src=g;m.parentNode.insertBefore(a,m)
  })(window,document,'script','//www.google-analytics.com/analytics.js','ga');
  ga('create', 'UA-50247013-1', 'auto');
  ga('send', 'pageview');
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
<link href="realmcustomdoxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">Realm Xamarin
   &#160;<span id="projectnumber">v0.78.0</span>
   </div>
   <div id="projectbrief">Realm for Xamarin</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.12 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespace_realms.html">Realms</a></li><li class="navelem"><a class="el" href="class_realms_1_1_realm_object.html">RealmObject</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="class_realms_1_1_realm_object-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">RealmObject Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Base for any object that can be persisted in a <a class="el" href="class_realms_1_1_realm.html" title="A Realm instance (also referred to as a realm) represents a Realm database. ">Realm</a>.  
 <a href="class_realms_1_1_realm_object.html#details">More...</a></p>

<p>Inherited by DynamicRealmObject.</p>
<div class="dynheader">
Collaboration diagram for RealmObject:</div>
<div class="dyncontent">
<div class="center"><img src="class_realms_1_1_realm_object__coll__graph.png" border="0" usemap="#_realm_object_coll__map" alt="Collaboration graph"/></div>
<map name="_realm_object_coll__map" id="_realm_object_coll__map">
<area shape="rect" id="node2" href="class_realms_1_1_realm.html" title="A Realm instance (also referred to as a realm) represents a Realm database. " alt="" coords="23,6,83,31"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:aadf763f0213fc2f3875230b06bb0b6cf"><td class="memItemLeft" align="right" valign="top">override bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_realms_1_1_realm_object.html#aadf763f0213fc2f3875230b06bb0b6cf">Equals</a> (object obj)</td></tr>
<tr class="memdesc:aadf763f0213fc2f3875230b06bb0b6cf"><td class="mdescLeft">&#160;</td><td class="mdescRight">Compare objects with identity query for persistent objects.  <a href="#aadf763f0213fc2f3875230b06bb0b6cf">More...</a><br /></td></tr>
<tr class="separator:aadf763f0213fc2f3875230b06bb0b6cf"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:a709d326ba82d95b2902a5f6822203551"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_realms_1_1_realm_object.html#a709d326ba82d95b2902a5f6822203551">IsManaged</a> =&gt; _realm != null</td></tr>
<tr class="memdesc:a709d326ba82d95b2902a5f6822203551"><td class="mdescLeft">&#160;</td><td class="mdescRight">Allows you to check if the object has been associated with a <a class="el" href="class_realms_1_1_realm.html" title="A Realm instance (also referred to as a realm) represents a Realm database. ">Realm</a>, either at creation or via Realm.Manage.  <a href="#a709d326ba82d95b2902a5f6822203551">More...</a><br /></td></tr>
<tr class="separator:a709d326ba82d95b2902a5f6822203551"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a62885a2911b2c21274564c3d9e407c2c"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_realms_1_1_realm_object.html#a62885a2911b2c21274564c3d9e407c2c">IsValid</a> =&gt; _rowHandle?.IsAttached != false</td></tr>
<tr class="memdesc:a62885a2911b2c21274564c3d9e407c2c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns true if this object is managed and represents a row in the database. If a managed object has been removed from the <a class="el" href="class_realms_1_1_realm.html" title="A Realm instance (also referred to as a realm) represents a Realm database. ">Realm</a>, it is no longer valid and accessing properties on it will throw an exception. Unmanaged objects are always considered valid.  <a href="#a62885a2911b2c21274564c3d9e407c2c">More...</a><br /></td></tr>
<tr class="separator:a62885a2911b2c21274564c3d9e407c2c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a753eb9711ac41c897634c73024ca3ba6"><td class="memItemLeft" align="right" valign="top"><a class="el" href="class_realms_1_1_schema_1_1_object_schema.html">Schema.ObjectSchema</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_realms_1_1_realm_object.html#a753eb9711ac41c897634c73024ca3ba6">ObjectSchema</a> =&gt; _metadata?.Schema</td></tr>
<tr class="memdesc:a753eb9711ac41c897634c73024ca3ba6"><td class="mdescLeft">&#160;</td><td class="mdescRight">The <a class="el" href="class_realms_1_1_schema_1_1_object_schema.html" title="Public description of a class stored in a Realm, as a collection of managed Property objects...">Schema.ObjectSchema</a> instance that describes how the <a class="el" href="class_realms_1_1_realm.html" title="A Realm instance (also referred to as a realm) represents a Realm database. ">Realm</a> this object belongs to sees it.  <a href="#a753eb9711ac41c897634c73024ca3ba6">More...</a><br /></td></tr>
<tr class="separator:a753eb9711ac41c897634c73024ca3ba6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a74a77686ccae6594d63580193dca059d"><td class="memItemLeft" align="right" valign="top"><a class="el" href="class_realms_1_1_realm.html">Realm</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_realms_1_1_realm_object.html#a74a77686ccae6594d63580193dca059d">Realm</a> =&gt; _realm</td></tr>
<tr class="memdesc:a74a77686ccae6594d63580193dca059d"><td class="mdescLeft">&#160;</td><td class="mdescRight">The <a class="el" href="class_realms_1_1_realm.html" title="A Realm instance (also referred to as a realm) represents a Realm database. ">Realm</a> instance this object belongs to, or  <a href="#a74a77686ccae6594d63580193dca059d">More...</a><br /></td></tr>
<tr class="separator:a74a77686ccae6594d63580193dca059d"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Base for any object that can be persisted in a <a class="el" href="class_realms_1_1_realm.html" title="A Realm instance (also referred to as a realm) represents a Realm database. ">Realm</a>. </p>
</div><h2 class="groupheader">Member Function Documentation</h2>
<a id="aadf763f0213fc2f3875230b06bb0b6cf"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aadf763f0213fc2f3875230b06bb0b6cf">&sect;&nbsp;</a></span>Equals()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">override bool Equals </td>
          <td>(</td>
          <td class="paramtype">object&#160;</td>
          <td class="paramname"><em>obj</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Compare objects with identity query for persistent objects. </p>
<p>Persisted RealmObjects map their properties directly to the realm with no caching so multiple instances of a given object always refer to the same store.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">obj</td><td>Object being compared against to see if is the same C# object or maps to the same managed object in <a class="el" href="class_realms_1_1_realm.html" title="A Realm instance (also referred to as a realm) represents a Realm database. ">Realm</a>.</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>True when objects are the same memory object or refer to the same persisted object.</dd></dl>

</div>
</div>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="a709d326ba82d95b2902a5f6822203551"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a709d326ba82d95b2902a5f6822203551">&sect;&nbsp;</a></span>IsManaged</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool IsManaged =&gt; _realm != null</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Allows you to check if the object has been associated with a <a class="el" href="class_realms_1_1_realm.html" title="A Realm instance (also referred to as a realm) represents a Realm database. ">Realm</a>, either at creation or via Realm.Manage. </p>

</div>
</div>
<a id="a62885a2911b2c21274564c3d9e407c2c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a62885a2911b2c21274564c3d9e407c2c">&sect;&nbsp;</a></span>IsValid</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool IsValid =&gt; _rowHandle?.IsAttached != false</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Returns true if this object is managed and represents a row in the database. If a managed object has been removed from the <a class="el" href="class_realms_1_1_realm.html" title="A Realm instance (also referred to as a realm) represents a Realm database. ">Realm</a>, it is no longer valid and accessing properties on it will throw an exception. Unmanaged objects are always considered valid. </p>

</div>
</div>
<a id="a753eb9711ac41c897634c73024ca3ba6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a753eb9711ac41c897634c73024ca3ba6">&sect;&nbsp;</a></span>ObjectSchema</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="class_realms_1_1_schema_1_1_object_schema.html">Schema.ObjectSchema</a> ObjectSchema =&gt; _metadata?.Schema</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>The <a class="el" href="class_realms_1_1_schema_1_1_object_schema.html" title="Public description of a class stored in a Realm, as a collection of managed Property objects...">Schema.ObjectSchema</a> instance that describes how the <a class="el" href="class_realms_1_1_realm.html" title="A Realm instance (also referred to as a realm) represents a Realm database. ">Realm</a> this object belongs to sees it. </p>

</div>
</div>
<a id="a74a77686ccae6594d63580193dca059d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a74a77686ccae6594d63580193dca059d">&sect;&nbsp;</a></span>Realm</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="class_realms_1_1_realm.html">Realm</a> <a class="el" href="class_realms_1_1_realm.html">Realm</a> =&gt; _realm</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>The <a class="el" href="class_realms_1_1_realm.html" title="A Realm instance (also referred to as a realm) represents a Realm database. ">Realm</a> instance this object belongs to, or </p>
<p><code>null</code> if it is unmanaged. </p>

</div>
</div>
</div><!-- contents -->
<!-- HTML footer for doxygen 1.8.9.1-->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>© 2015 Realm. All rights reserved.<br />
Generated on Thu Sep 8 2016 21:40:37 for Realm Xamarin by &#160;<a href="http://www.doxygen.org/index.html">
doxygen
</a> 1.8.12
</small></address>
</body>
</html>
